# This file is responsible for configuring your application
# and its dependencies with the aid of the Mix.Config module.
#
# This configuration file is loaded before any dependency and
# is restricted to this project.

# General application configuration
import Config

config :frenzy,
  ecto_repos: [Frenzy.Repo]

# Configures the endpoint
config :frenzy, FrenzyWeb.Endpoint,
  url: [host: "localhost"],
  secret_key_base: "OHENOE79+KzItVyWbScSSn2yPhZToFpNriYZm3gj2sGYR0hbKEiSLvcVvTK1zxo8",
  render_errors: [view: FrenzyWeb.ErrorView, accepts: ~w(html json)],
  pubsub_server: Frenzy.PubSub,
  live_view: [
    signing_salt: "lgnxcl3mtR6kB7yBeW7l5wd/SbEx5vRY"
  ]

# Configures Elixir's Logger
config :logger, :console,
  format: "$time $metadata[$level] $message\n",
  metadata: [:request_id, :item_task_id, :favicon_task_id]

# Use Jason for JSON parsing in Phoenix
config :phoenix, :json_library, Jason

config :logger, truncate: :infinity

config :frenzy, sentry_enabled: false
config :frenzy, external_readability: false

config :frenzy, env: config_env()

# Import environment specific config. This must remain at the bottom
# of this file so it overrides the configuration defined above.
import_config "#{config_env()}.exs"
