defmodule Frenzy.Pipeline.Extractor.BeckyHansmeyer do
  @moduledoc """
  Extractor for https://beckyhansmeyer.com
  """

  alias Frenzy.Pipeline.Extractor
  @behaviour Extractor

  @impl Extractor
  def extract(html_tree) do
    case Floki.find(html_tree, "div.entry-content") do
      [content_elem | _] ->
        {:ok, content_elem}

      _ ->
        {:error, "no matching elements"}
    end
  end
end
