defmodule Frenzy.Pipeline.Extractor.Birchtree do
  @moduledoc """
  Extractor for https://birchtree.me
  """

  alias Frenzy.Pipeline.Extractor
  @behaviour Extractor

  @impl Extractor
  def extract(html_tree) do
    case Floki.find(html_tree, "section.post-content") do
      [content_elem | _] ->
        {:ok, content_elem}

      _ ->
        {:error, "no matching elements"}
    end
  end
end
