defmodule Frenzy.Pipeline.Extractor.ElectionLawBlog do
  @moduledoc """
  Extractor for https://electionlawblog.org
  """

  alias Frenzy.Pipeline.Extractor
  @behaviour Extractor

  @impl Extractor
  def extract(html_tree) do
    case Floki.find(html_tree, "div.entry-content") do
      [content_elem | _] ->
        filtered = Floki.filter_out(content_elem, ".addtoany_share_save_container")
        {:ok, filtered}

      _ ->
        {:error, "no matching elements"}
    end
  end
end
