defmodule FrenzyWeb.FilterRuleLive do
  use FrenzyWeb, :live_component

  @modes [
    {"Contains Substring", "contains_string"},
    {"Contains Substring (case sensitive)", "contains_string_case_sensitive"},
    {"Matches Regex", "matches_regex"}
  ]

  @properties [
    {"Title", "title"},
    {"URL", "url"},
    {"Author", "author"},
    {"Content", "content"}
  ]

  @impl true
  def mount(socket) do
    {:ok, assign(socket, modes: @modes, properties: @properties)}
  end
end
